from spread_core.bam.managers import Manager
from spread_core.tools import settings
from spread_mercury.interface import BrokerInterface


class Mercury(Manager):
    # INTERRUPT_SURVEY = False

    def set_interface(self):
        self.send_interface = BrokerInterface(self.mqttc)

    def add_provider(self, data):
        super(Mercury, self).add_provider(data)
        provider = self._providers[data['id']]
        if provider.address not in self._addresses:
            self._addresses[provider.address] = []
            if provider.address in settings.config.get(settings.HEXED, []):
                if self.send_interface:
                    self.send_interface.set_hexed(provider.address, True)
        self._addresses[provider.address].append(provider.id)
